{
  "feature": "cawezs_mantle_to_stratus:cherry_ceiling",
  "placement": [
    {
      "type": "minecraft:count",
      "count": 256
    },
    {
      "type": "minecraft:in_square"
    },
    {
      "type": "minecraft:height_range",
      "height": {
        "type": "minecraft:uniform",
        "min_inclusive": {
          "absolute": 150
        },
        "max_inclusive": {
          "absolute": 235
        }
      }
    },
    {
      "type": "minecraft:block_predicate_filter",
      "predicate": {
        "type": "minecraft:matching_blocks",
        "blocks": "minecraft:cracked_polished_blackstone_bricks",
        "offset": [
          0,
          1,
          0
        ]
      }
    }
  ]
}